Credentials
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.util
Class Credentials

    java.lang.Object
      org.apache.ivy.util.Credentials

    public class Credentials

extends java.lang.Object

Constructor Summary
`Credentials(java.lang.String realm, java.lang.String host, java.lang.String userName, java.lang.String passwd)`

Method Summary
`static java.lang.String` | `buildKey(java.lang.String realm, java.lang.String host)`
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getHost()`
`java.lang.String` | `getKey()`
`java.lang.String` | `getPasswd()`
`java.lang.String` | `getRealm()`
`java.lang.String` | `getUserName()`
`int` | `hashCode()`
`java.lang.String` | `toString()` Return a string that can be used for debug purpose.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Credentials

    public Credentials(java.lang.String realm,
                       java.lang.String host,
                       java.lang.String userName,
                       java.lang.String passwd)

Method Detail

### getHost

    public java.lang.String getHost()

### getPasswd

    public java.lang.String getPasswd()

### getRealm

    public java.lang.String getRealm()

### getUserName

    public java.lang.String getUserName()

### buildKey

    public static java.lang.String buildKey(java.lang.String realm,
                                            java.lang.String host)

### toString

    public java.lang.String toString()

  Return a string that can be used for debug purpose. It contains only stars for each password character.

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getKey

    public java.lang.String getKey()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD